routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//Home Login-Register
Route::get('/login','HomeController@login')->name('login');
Route::post('/post_login','HomeController@post_login')->name('post_login');
Route::get('/register','HomeController@register')->name('register');
Route::get('/logout','HomeController@logout')->name('logout');
Route::post('/post_register','HomeController@post_register')->name('post_register');

//Reset Password
Route::get('/get_password','ForgotPasswordController@getFormResetPassword')->name('reset_password');
Route::post('/get_password','ForgotPasswordController@sendCodeResetPassword');
Route::get('/password/reset','ForgotPasswordController@resetPassword')->name('send_link');
Route::post('/password/reset','ForgotPasswordController@saveResetPassword');

//Home
Route::get('/','HomeController@index')->name('index');
Route::get('/shop/{id}-{slug}','HomeController@view')->name('view');
Route::get('/shop/product_detail/{id}-{slug}','HomeController@product_detail')->name('product_detail');
Route::get('/about','HomeController@about')->name('about');
Route::get('/service','HomeController@service')->name('service');
Route::get('/shop','HomeController@shop')->name('shop');
Route::get('/contact','HomeController@contact')->name('contact');
Route::get('/blog','HomeController@blog')->name('blog');
Route::get('/blog_view/{slug}','HomeController@blog_view')->name('blog_view');
Route::get('/single_blog/{id}','HomeController@single_blog')->name('single_blog');

Route::post('/subcriber','HomeController@sub')->name('sub');
Route::post('/contact/Con','HomeController@con')->name('con');

Route::group(['middleware'=>'client'],function(){
    //Favorite
    Route::get('/favorite','FavController@index')->name('fav.index');
    Route::get('/favorite/add-{id}','FavController@create')->name('fav.add');
    Route::get('/favorite/del-{id}','FavController@del')->name('fav.del');
    Route::get('/favorite/destroy','FavController@destroy')->name('fav.destroy');
    
    //Cart
    Route::get('/shopping_cart','HomeController@shopping_cart')->name('shopping_cart');
    Route::group(['prefix' => 'cart'], function () {
        Route::get('view','CartController@view')->name('cart.view');
        Route::post('add','CartController@add')->name('cart.add');
        Route::get('remove/{id}','CartController@remove')->name('cart.remove');
        Route::post('update','CartController@update')->name('cart.update');
        Route::get('clear','CartController@clear')->name('cart.clear');
    });
    Route::get('/checkout','HomeController@checkout')->name('checkout');
    Route::post('/submit','CheckoutController@submit')->name('submit');
    Route::get('/checkout_success','HomeController@checkout_success')->name('checkout_success');
    Route::post('/coupon','CartController@coupon')->name('coupon');

    //Profile-Edit
    Route::get('/profile','HomeController@profile')->name('profile');
    Route::post('/profile_edit','HomeController@profile_edit')->name('profile_edit');
    
    //Rating
    Route::post('/Rating/add','RatingCommentController@addRating')->name('rating.add');
    Route::post('/Comment/add','RatingCommentController@addComment')->name('comment.add');
});

//Admin-login-Register
Route::get('/admin/login','admin\AdminController@login')->name('admin.login');
Route::post('/admin/post_login','admin\AdminController@post_login')->name('admin.post_login');
Route::get('/admin/register','admin\AdminController@register')->name('admin.register');
Route::get('/admin/logout','admin\AdminController@logout')->name('admin.logout');
Route::post('/admin/post_register','admin\AdminController@post_register')->name('admin.post_register');
Route::get('/admin/error','admin\AdminController@error')->name('admin.error');

//Admin
Route::group(['prefix'=>'admin','middleware'=>'auth','as'=>'admin.'],function(){
    Route::get('/','admin\AdminController@index')->name('index');
    Route::get('/config','admin\ConfigWebController@index')->name('config.index');
    Route::get('/config/create','admin\ConfigWebController@create')->name('config.create');
    Route::post('/config/store','admin\ConfigWebController@store')->name('config.store');
    Route::get('/config/edit/{id}','admin\ConfigWebController@edit')->name('config.edit');
    Route::put('/config/update/{id}','admin\ConfigWebController@update')->name('config.update');
    Route::get('/admin/profile', 'admin\AdminController@profile')->name('info');
    Route::put('/admin/profile/edit/{id}','admin\AdminController@post_profile')->name('profile');
    Route::put('/admin/profile/edit-avatar/{id}','admin\AdminController@post_avatar')->name('avatar');
    Route::get('/admin/profile/edit-change_password/{id}','admin\AdminController@form_password')->name('change_pass');
    Route::put('/admin/profile/password/{id}','admin\AdminController@post_password')->name('post_password');
    Route::resource('/Category','admin\CategoryController');
    Route::resource('/Product','admin\ProductController');
    Route::resource('/Brand','admin\BrandController');
    Route::resource('/Color','admin\ColorController');
    Route::resource('/Role','admin\RoleController');
    Route::resource('/User','admin\UserController');
    Route::resource('/Blog','admin\BlogController');
    Route::resource('/Comment','admin\CommentController');
    Route::resource('/Payment','admin\PaymentController');
    Route::resource('/Shipping','admin\ShippingController');
    Route::resource('/Client','admin\ClientController');
    Route::resource('/Banner','admin\BannerController');
    Route::resource('/Subcriber','admin\SubcriberController');
    Route::resource('/Contact','admin\ContactController');
    Route::resource('/Quote','admin\QuoteController');
    Route::resource('/Order','admin\OrderController');
});

app/Models/Shipping.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Shipping extends Model
{
    protected $fillable = ['name','status','priority'];

    public function scopeSearch($query){
        if(request()->key){
            $keyword = request()->key;
            $query->where('name','LIKE','%'.$keyword.'%');
        }
        return $query;
    }
    public function scopeAdd(){
        $model = $this->create([
           'name'=>request()->name,
           'status'=>request()->status,
           'priority'=>request()->priority,
        ]);
        if($model){
           return $noti = ['type'=>'success','message'=>'Successfully added!'];
        }else{
           return $noti = ['type'=>'error','message'=>'New addition failed!'];
        }
     }
    public function scopeModify($query,$id){
        $shipping = $this->find($id);
        $model = $shipping->update(request()->except('id','_token','_method'));
        if($model){
            return $noti = ['type'=>'success','message'=>'Successfully fixed!'];
        }else{
            return $noti = ['type'=>'error','message'=>'Fix failed!'];
        }
    }
    public function scopeRemove($query,$id){
        $shipping =$this->find($id);
        $model = $shipping->delete();
        if($model){
            return $noti = ['type'=>'success','message'=>'Deleted successfully!'];
        }else{
            return $noti = ['type'=>'error','message'=>'Delete failed!'];
        }
    }
}

app/Http/Controllers/admin/ShippingController.php
<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\Shipping;
use Illuminate\Http\Request;

class ShippingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $ships = Shipping::search()->get();
        return view('admin.shipping.index',compact('ships'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.shipping.AddShipping');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $ms = Shipping::add();
        return redirect()->route('admin.Shipping.index')->with($ms['type'],$ms['message']);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Shipping  $shipping
     * @return \Illuminate\Http\Response
     */
    public function show(Shipping $shipping)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Shipping  $shipping
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $shipping = Shipping::find($id);
        return view('admin.shipping.EditShipping',compact('shipping'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Shipping  $shipping
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,$id)
    {
        $ms = Shipping::modify($id);
        return redirect()->route('admin.Shipping.index')->with($ms['type'],$ms['message']);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Shipping  $shipping
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $ms = Shipping::remove($id);
        return redirect()->back()->with($ms['type'],$ms['message']);
    }
}

resources/views/admin/shipping/AddShipping.blade.php
@extends('layout.admin')
@section('title','ADD SHIPPING')
@section('bar_form')
<a href="{{route('admin.Shipping.index')}}" style="margin:10px" title="Về danh sách" class="btn btn-info btn-sm ml-1"><i class="fa fa-undo"></i> Back</a>
@stop()
@section('main')

<div class="panel panel-default">
    <div class="panel-body">
        <form action="{{route('admin.Shipping.store')}}" method="POST">
            @csrf
            <div class="form-group">
                <label for="">Name</label>
                <input type="text" class="form-control" name="name" placeholder="Name">
            </div>
            @error('name')
            <div class="alert alert-warning">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>{{$message}}</strong>
            </div>
            @enderror
            <div class="form-group">
                <label for="">Status</label>
                <div class="form-control">
                    <input type="radio" name="status" value="1" checked> Show
                    <input type="radio" name="status" value="0"> Hidden
                </div>
            </div>
            <div class="form-group">
                <label for="">Priority</label>
                <input type="text" class="form-control" name="priority" placeholder="Priority">
            </div>
            <div class="text-center">
                <button type="submit" class="btn btn-primary">Add Shipping</button>
            </div>
            <div class="clearfix"></div>
        </form>
    </div>
</div>
@stop

resources/views/admin/shipping/EditShipping.blade.php
@extends('layout.admin')
@section('title','EDIT PAYMENT')
@section('bar_form')
<a href="{{route('admin.Shipping.index')}}" style="margin:10px" title="Về danh sách" class="btn btn-info btn-sm ml-1"><i class="fa fa-undo"></i> Back</a>
@stop()
@section('main')

<div class="panel panel-default">
    <div class="panel-body">
        <form action="{{route('admin.Shipping.update',$shipping->id)}}" method="POST">
            @csrf @method('PUT')
            <input type="hidden" name="id" value="{{$shipping->id}}">
            <div class="form-group">
                <label for="">Name</label>
                <input type="text" class="form-control" name="name" value="{{$shipping->name}}">
            </div>
            @error('name')
            <div class="alert alert-warning">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>{{$message}}</strong>
            </div>
            @enderror
            <div class="form-group">
                <label for="">Status</label>
                <div class="form-control">
                    <input type="radio" name="status" value="1" {{$shipping->status==1?'checked':''}}> Show
                    <input type="radio" name="status" value="0" {{$shipping->status==0?'checked':''}}> Hidden
                </div>
            </div>
            <div class="form-group">
                <label for="">Priority</label>
                <input type="text" class="form-control" name="priority" value="{{$shipping->priority}}">
            </div>
            <div class="text-center">
                <button type="submit" class="btn btn-primary">Edit Shipping</button>
            </div>
            <div class="clearfix"></div>
        </form>
    </div>
</div>
@stop

resources/views/admin/shipping/index.blade.php
@extends('layout.admin')
@section('title','SHIPPING')
@section('bar_form')
<a href="{{route('admin.index')}}" style="margin:10px" title="Về danh sách" class="btn btn-info btn-sm ml-1"><i class="fa fa-undo"></i> Back</a>
@stop()
@section('main')

<div class="panel panel-default">
    <div class="panel-heading">
        <form action="" method="GET" class="form-inline" role="form">
            <div class="form-group">
                <input class="form-control" name="key" value="{{request()->key}}">
            </div>
            <button type="submit" class="btn btn-primary">Find</button>
            <a class="btn btn-success" href="{{route('admin.Shipping.create')}}">Add Shipping</a>
        </form>
    </div>
    <div class="panel-body">
        <table class="table table-hover">
            <thead>

                <tr>
                    <th>Id</th>
                    <th>Name</th>
                    <th>Status</th>
                    <th>Priority</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($ships as $ship)
                <tr>
                    <td>{{$ship->id}}</td>
                    <td>{{$ship->name}}</td>
                    <td>{{$ship->status==1? 'Show':'Hidden'}}</td>
                    <td>{{$ship->priority}}</td>
                    <td>
                        <form action="{{route('admin.Shipping.destroy',$ship->id)}}" method="POST" role="form">
                            @csrf @method('DELETE')
                            <a href="{{route('admin.Shipping.edit',$ship->id)}}" class="btn btn-primary btn-xs">Edit</a>
                            <button type="submit" class="btn btn-danger btn-xs">Delete</button>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

@stop()

@section('js')

@if(Session::has('success'))
	<script type="text/javascript">
		toastr.success("{{Session::get('success')}}")
	</script>
@endif

@if(Session::has('error'))
	<script type="text/javascript">
		toastr.error("{{Session::get('error')}}")
	</script>
@endif

@stop()